#include "mbed.h"
#include "nRF24L01P.h"
BusOut LED(PTA5,PTA12, PTC8);
Serial pc(USBTX, USBRX); // tx, rx


nRF24L01P my_nrf24l01p(PTD2, PTD3, PTD1, PTD0, PTD5, PTD4);    // mosi, miso, sck, csn, ce, irq
//DigitalOut GreenLED(PTA12);


int main() {
    
    char count[1];
    char RxDataCnt;
    char temp;
    
    //float x,y,z,POT,LDR;
    
    my_nrf24l01p.powerUp();
    my_nrf24l01p.setRfFrequency(2445);

    // Display the (default) setup of the nRF24L01+ chip
    pc.printf( "nRF24L01+ Frequency    : %d MHz\r\n",  my_nrf24l01p.getRfFrequency() );
    pc.printf( "nRF24L01+ Output power : %d dBm\r\n",  my_nrf24l01p.getRfOutputPower() );
    pc.printf( "nRF24L01+ Data Rate    : %d kbps\r\n", my_nrf24l01p.getAirDataRate() );
    pc.printf( "nRF24L01+ TX Address   : 0x%010llX\r\n", my_nrf24l01p.getTxAddress() );
    pc.printf( "nRF24L01+ RX Address   : 0x%010llX\r\n", my_nrf24l01p.getRxAddress() );

    pc.printf( "Simple 3 Byte Receiver\r\n" );
    
    RxDataCnt = 1;
    my_nrf24l01p.setTransferSize( RxDataCnt );
    
    my_nrf24l01p.setReceiveMode();
    my_nrf24l01p.enable();

    while (1) {

        // If we've received anything in the nRF24L01+...
        if ( my_nrf24l01p.readable() ) {

            // ...read the data into the receive buffer
            temp = my_nrf24l01p.read( NRF24L01P_PIPE_P0, count, RxDataCnt );
            
            pc.printf( "Cnt %d = level-->%d \r\n",temp,count[0]);
            if(count[0]==0)
            {  LED=0x06;
               pc.printf("surface is Level\r");
                }
            else if(count[0]==1)
            {   LED=0x05;
           pc.printf("surface is close to Level\r");
                }
            else
            {  LED=0x03;
           pc.printf("Emergency\r");
                }

            // Toggle LED2 (to help debug nRF24L01+ -> Host communication)
            //GreenLED = !GreenLED;
            wait_ms(0.01);
        }
    }
}